<?php

namespace KupShop\BalikonosBundle;

interface IBalikonos
{
    public function sendDeliveries();

    public function getOrdersData($complete = true);

    public function saveToDB();

    public function printTickets($deliver_id, $position, $printFormat = 'default', $orderIds = []);

    public function deleteDeliverBatch($deliver);

    public function deletePackage($id);

    public function isDeliverySupported($id_delivery);
}
